<template>
  <div>
    <!-- generar buscador -->        
    <input type="search" v-model="search" placeholder="Busca tu artista favorito">

    <ul>
      <li v-for="toptrack in filtered" :key="toptrack.id">
        <img :src="toptrack.image[2]['#text']" height="20px">
        <p><STRONG>{{toptrack.name}}</STRONG></p>
        <p>{{toptrack.listeners}} expectadores</p>
      </li>
    </ul>

  </div>
</template>

<script>
export default {
    name: 'TopTracksCustom',
    props:{
        toptracks: Array
    },
    data(){
      // aquí guardamos todas las variables
      return{
            search: ''
      }  
    },
    computed:{
        filtered(){
            if(!this.search){
             return this.toptracks
            }
            return this.toptracks.filter( item => 
            item.name.toLowerCase().includes(this.search.toLowerCase()) )
        }
    }
}
</script>

<style scoped>
    ul {
        list-style: none;
    }
    li {
        text-align: left;
        padding-left: 50px;
        text-decoration: none;
    }
    input {
      width: 70%; 
      padding: 10px;
      box-sizing: border-box;  
      border: 4px solid whitesmoke;
      border-radius: 5px;
}
.backimage { 
  background: url(https://images.unsplash.com/photo-1522158637959-30385a09e0da?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1950&q=80) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
</style>